Rasters not displaying correctly in 1.9

2013-02-01 06:26 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16169

Description

I have projects in both 1.8 and 1.9 that use the same rasters, which are terrain relief shading Geotiffs. In 1.8 they are displayed correctly. I

set the style to render as singleband grey, and because this is too dark I set transparency at 80%. The transparency band is Not Set.

In 1.9 I can't get them to display correctly. The settings are similar to the above settings about as much as I can determine them to be the

same.

When I first load the layer into the project, it sets it to a colour (green). it displays the relief shading correctly, except it's green all over. I

want it to be based on grey, so I changed the render to singleband grey, just like in 1.8. As soon as I did this, the layer changed into just

the same shade of grey all over, and the relief shading disappeared completely.

History

#1 - 2013-02-01 06:32 PM - Patrick Dunford

Hmm. Well I was just playing with the settings and I chose Paletted instead.

And it displays properly, in grey. No need to set the transparency either.

So I don't know why this is different in 1.9, because it doesn't automatically change that setting when I load the 1.8 project into 1.9

#2 - 2013-02-02 01:40 AM - Giovanni Manghi

- OS version deleted (8)

- Operating System deleted (Windows)

- Category set to Rasters

So I don't know why this is different in 1.9, because it doesn't automatically change that setting when I load the 1.8 project into 1.9

because raster symbology have been completely rewritten, so it is normal something needs to be tuned.

#3 - 2013-07-24 06:20 PM - Daniel Vaz

Hi,

Could you attach some small raster dataset?

It will help in reproduce this issue.
Thanks in advance

#4 - 2013-07-25 05:06 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

So I don't know why this is different in 1.9, because it doesn't automatically change that setting when I load the 1.8 project into 1.9

it is normal that things will have to be tuned, the raster symbology is completely new. Please reopen if necessary.

#5 - 2013-07-25 08:53 AM - Patrick Dunford

Probably don't need to worry about this one. I changed to paletted setting and everything looks fine. Never questioned it again.
